module Hydrogen.Prelude.Extra (
    uuidFromString
  , randomUUID
  ) where

import Hydrogen.Prelude

import "uuid" Data.UUID hiding (
    fromString
  , null
  )

import qualified "uuid" Data.UUID
import qualified "uuid" Data.UUID.V4

uuidFromString :: String -> Maybe UUID
uuidFromString = Data.UUID.fromString

randomUUID :: IO UUID
randomUUID = Data.UUID.V4.nextRandom

